version: "3.7"

services:
  jenkins:
    container_name: jenkins
    build:
      context: .
      dockerfile: Dockerfile
    image: jenkins:jcasc
    ports:
      - 8080:8080
    volumes:
      - jenkins:/var/jenkins_home
    environment:
      - JENKINS_ADMIN_ID=admin
      - JENKINS_ADMIN_PASSWORD=password

volumes:
  jenkins:
    driver: local
